petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatGetSeqNonzeroStructure

Extracts the sequential nonzero structure from a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetSeqNonzeroStructure(Mat mat,Mat *matstruct)

Collective on Mat

### Input Parameters

mat -the matrix

### Output Parameter

matstruct -the sequential matrix with the nonzero structure of mat

### See Also

MatDestroySeqNonzeroStructure(), MatCreateSubMatrices(), MatDestroyMatrices()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatGetSeqNonzeroStructure_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatGetSeqNonzeroStructure_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages